public class UseScalaCollection {
  public static void main(String[] args) { 
    AScalaClass instance = new AScalaClass();

    scala.collection.Seq<String> names = instance.names();

    //Alternately you could do this conversion on the Scala side
    //and return a java.util.List
    java.util.List<String> namesAsList =
      scala.collection.JavaConversions.asJavaList(names);


    System.out.println(namesAsList.size());
  }
}
